import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import ApacheLogoLight from './ApacheLogoLight';
import ApacheLogoDark from './ApacheLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const ApacheLogoSvg = forwardRef(function ApacheLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(ApacheLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(ApacheLogoLight, Object.assign({}, props, { ref: ref })));
});
export default ApacheLogoSvg;
